Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160648 - ipw2200 needs to be compiled builtin for wpa support
Summary: ipw2200 needs to be compiled builtin for wpa support
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 11:04 UTC by Rudolf Kastl
Modified: 2015-01-04 22:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-25 02:42:48 UTC


Attachments (Terms of Use)

Description Rudolf Kastl 2005-06-16 11:04:35 UTC
Description of problem:
After installing the firmware and wpa_supplicant as well as configuring the
supplicant properly i get iocontrol errors instead of a connection to the wlan.

Version-Release number of selected component (if applicable):
fc4 stock

How reproducible:
always

Steps to Reproduce:
1.install the firmware
2.install wpa_supplicant and configure it as well as the essid of the interface
3.try to start a wlan connection with wpa encryption and watch it explode
  
Actual results:
 ioctl[IPW_IOCTL_WPA_SUPPLICANT]: Operation not supported
 ioctl[IPW_IOCTL_WPA_SUPPLICANT]: Operation not supported
 Failed to set encryption.

Expected results:
wlan connection with wpa support

Additional info:
I found this thread on the sf.net ipw list:
http://sourceforge.net/mailarchive/forum.php?thread_id=6767966&forum_id=38938

Would be nice to have the info verified and even better to see the problem fixed
or worked around with a builtin driver.

Comment 1 Dave Jones 2005-06-25 02:42:48 UTC
A driver shouldn't offer different functionality based upon whether its modular
or built-in, please take this up with upstream.  Changing this to non-modular in
the Fedora kernel isn't an option.



Note You need to log in before you can comment on or make changes to this bug.